/**
 * [OEmarry] (C)2010-2099 OEMARRY.COM Inc.
 * Email: service@phpcoo.com, phpcoo@qq.com
 * This is NOT a freeware, use is subject to license terms
 * $ Last update 2015-06-01 by OEdev $
*/

/**
 * 弹出登录框
 * @param:: int $width 页面宽
 * @param:: int $height iframe高
 * @return:: null
*/
function oe_varpop_loginbox($width, $height) {
	if (typeof($width) == "undefined") {$width = 600;}
	if (typeof($height) == "undefined") {$height = 350;}
	$url = _ROOT_PATH+"index.php?c=passport&a=jdlogin";
	oePopDialog("oe_js_pop_loginbox", "帐户登录", $url, "iframe", $width, $height);
}


/**
 * 弹出店铺预约框
 * @param:: int $shopid 店铺ID
 * @param:: int $width 页面宽
 * @param:: int $height iframe高
 * @return:: null
*/
function oe_varpop_bespokeshop($shopid, $width, $height) {
	if (typeof($width) == "undefined") {$width = 760;}
	if (typeof($height) == "undefined") {$height = 320;}
	$url = _ROOT_PATH+"index.php?c=shop&a=bespoke&shopid="+$shopid;
	oePopDialog("oe_js_pop_shop_bespoke", "店铺预约", $url, "iframe", $width, $height);
}


/**
 * 弹出店铺留言框
 * @param:: int $shopid 店铺ID
 * @param:: int $width 页面宽
 * @param:: int $height iframe高
 * @return:: null
*/
function oe_varpop_shopwords($shopid, $width, $height) {
	if (typeof($width) == "undefined") {$width = 600;}
	if (typeof($height) == "undefined") {$height = 300;}
	$url = _ROOT_PATH+"index.php?c=words&a=addto&shopid="+$shopid;
	oePopDialog("oe_js_pop_shop_words", "店铺咨询/留言", $url, "ajax", $width, $height);
}


/**
 * 弹出领取优惠券框
 * @param:: int $shopid 店铺ID
 * @param:: int $id 优惠券ID
 * @param:: int $width 页面宽
 * @param:: int $height iframe高
 * @return:: null
*/
function oe_varpop_getcoupon($shopid, $id, $width, $height) {
	if (typeof($width) == "undefined") {$width = 600;}
	if (typeof($height) == "undefined") {$height = 300;}
	$url = _ROOT_PATH+"index.php?c=coupon&a=get&shopid="+$shopid+"&id="+$id;
	oePopDialog("oe_js_pop_coupont_get", "领取优惠券", $url, "ajax", $width, $height);
}